# Change Log

All notable changes to this project will be documented in this file.
See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.

## [5.1.1](https://github.com/flive/flive/compare/@flive/react-navigation-drawer@5.1.0...@flive/react-navigation-drawer@5.1.1) (2021-10-27)


### Bug Fixes

* **react-kit:** small css issues: ([360ade7](https://github.com/flive/flive/commit/360ade7))





# [5.1.0](https://github.com/flive/flive/compare/@flive/react-navigation-drawer@5.0.0...@flive/react-navigation-drawer@5.1.0) (2021-10-21)


### Features

* **react-kit:** implement disable variant of Badge ([288f851](https://github.com/flive/flive/commit/288f851))





# [5.0.0](https://github.com/flive/flive/compare/@flive/react-navigation-drawer@4.0.0...@flive/react-navigation-drawer@5.0.0) (2021-09-22)


### Bug Fixes

* **react-navigation-drawer:** navigation drawer theme not loaded in test ([f799c65](https://github.com/flive/flive/commit/f799c65))


* feat(react-kit)!: image component optimization (use of the html loading property) ([372e3f0](https://github.com/flive/flive/commit/372e3f0))


### Features

* **react-kit:** implement childrenStyledProps mixin in View ([ffd6d58](https://github.com/flive/flive/commit/ffd6d58))


### BREAKING CHANGES

*  - The component uses the html property 'loading' which is only supported by new versions of Chrome, Edge and Firfox. On Safari, the feature is still in the experimental step.
 - remove lazyLoading boolean prop on image component, replaced by loading prop (lazy or eager value)
 - remove cover boolean prop on image component, replaced by objectFit prop (contain or cover)
 - remove positionX and positionY props, replaced by css style prop objectPosition that follow css property 'object-position'
 - By using the object-fit and object-position css properties, the image component is incompatible with IE





# [4.0.0](https://github.com/flive/flive/compare/@flive/react-navigation-drawer@3.0.0...@flive/react-navigation-drawer@4.0.0) (2021-07-13)


### Bug Fixes

* **react-navigation-drawer:** fix useCallback warning on render header ([#36](https://github.com/flive/flive/issues/36)) ([7d7e0dc](https://github.com/flive/flive/commit/7d7e0dc))


* feat(react-kit)!: support of all simple css properties (#34) ([55603e7](https://github.com/flive/flive/commit/55603e7)), closes [#34](https://github.com/flive/flive/issues/34)


### BREAKING CHANGES

*  - remove ratio and colWidth style props on View component
 - remove flexGrow style prop on Text component
 - change theme structure of Footer.Content component





# [3.0.0](https://github.com/flive/flive/compare/@flive/react-navigation-drawer@2.0.1...@flive/react-navigation-drawer@3.0.0) (2021-06-10)


### Bug Fixes

* remove addition of flex-direction:row with display=flex      ([#31](https://github.com/flive/flive/issues/31)) ([ef198b0](https://github.com/flive/flive/commit/ef198b0))


* feat!: update theme to match brand guidelines ([e124cfd](https://github.com/flive/flive/commit/e124cfd))


### BREAKING CHANGES

* remove primaryGradient and secondaryGradient from theme colors





## [2.0.1](https://github.com/flive/flive/compare/@flive/react-navigation-drawer@2.0.0...@flive/react-navigation-drawer@2.0.1) (2021-06-04)


### Bug Fixes

* **react-kit:** cleanup React warnings ([31c7e23](https://github.com/flive/flive/commit/31c7e23))





# [2.0.0](https://github.com/flive/flive/compare/@flive/react-navigation-drawer@1.4.1...@flive/react-navigation-drawer@2.0.0) (2021-03-18)


### Bug Fixes

* **react-kit:** modal css issue on safari ([fb0da44](https://github.com/flive/flive/commit/fb0da44))
* **react-kit:** snapshot test ([6713ed5](https://github.com/flive/flive/commit/6713ed5))


* refactor(react-kit)!: remove withoutProps and css helper (#21) ([6832aba](https://github.com/flive/flive/commit/6832aba)), closes [#21](https://github.com/flive/flive/issues/21)


### Features

* **react-kit:** responsive support for Popover Tooltip components ([5a97bea](https://github.com/flive/flive/commit/5a97bea))


### BREAKING CHANGES

* the theme tree has changed, the old structure is no longer supported and will not have expected effect on the components.





## [1.4.1](https://github.com/flive/flive/compare/@flive/react-navigation-drawer@1.4.0...@flive/react-navigation-drawer@1.4.1) (2021-01-29)

**Note:** Version bump only for package @flive/react-navigation-drawer





# [1.4.0](https://gitlab.partners.sigfox.com/flive/flive/compare/@flive/react-navigation-drawer@1.3.0...@flive/react-navigation-drawer@1.4.0) (2020-04-27)


### Features

* **react-kit:** icon refactoring using new svg component ([0cd5e33](https://gitlab.partners.sigfox.com/flive/flive/commit/0cd5e33))
* **react-kit:** refactoring Icon, 'iconId' prop change to 'svg' ([9e52eb5](https://gitlab.partners.sigfox.com/flive/flive/commit/9e52eb5))





# [1.3.0](https://gitlab.partners.sigfox.com/flive/flive/compare/@flive/react-navigation-drawer@1.2.3...@flive/react-navigation-drawer@1.3.0) (2020-02-07)


### Features

* add toggle component & fullscreen modal ([f75814a](https://gitlab.partners.sigfox.com/flive/flive/commit/f75814a))





## [1.2.3](https://gitlab.partners.sigfox.com/flive/flive/compare/@flive/react-navigation-drawer@1.2.2...@flive/react-navigation-drawer@1.2.3) (2019-11-07)


### Bug Fixes

* **react-kit:** add icon attribute xlink:href to tag use ([272b90e](https://gitlab.partners.sigfox.com/flive/flive/commit/272b90e))





## [1.2.2](https://gitlab.partners.sigfox.com/flive/flive/compare/@flive/react-navigation-drawer@1.2.1...@flive/react-navigation-drawer@1.2.2) (2019-10-21)

**Note:** Version bump only for package @flive/react-navigation-drawer





## [1.2.1](https://gitlab.partners.sigfox.com/flive/flive/compare/@flive/react-navigation-drawer@1.2.0...@flive/react-navigation-drawer@1.2.1) (2019-09-27)

**Note:** Version bump only for package @flive/react-navigation-drawer





# [1.2.0](https://gitlab.partners.sigfox.com/flive/flive/compare/@flive/react-navigation-drawer@1.0.1...@flive/react-navigation-drawer@1.2.0) (2019-09-26)


### Features

* **react-navigation-drawer:** pass props to useStyleProps ([b725b8f](https://gitlab.partners.sigfox.com/flive/flive/commit/b725b8f))





# [1.1.0](https://gitlab.partners.sigfox.com/flive/flive/compare/@flive/react-navigation-drawer@1.0.1...@flive/react-navigation-drawer@1.1.0) (2019-09-26)


### Features

* **react-navigation-drawer:** pass props to useStyleProps ([b725b8f](https://gitlab.partners.sigfox.com/flive/flive/commit/b725b8f))





## [1.0.1](https://gitlab.partners.sigfox.com/flive/flive/compare/@flive/react-navigation-drawer@1.0.0...@flive/react-navigation-drawer@1.0.1) (2019-09-12)

**Note:** Version bump only for package @flive/react-navigation-drawer





# [1.0.0](https://gitlab.partners.sigfox.com/flive/flive/compare/@flive/react-navigation-drawer@1.0.0-beta.0...@flive/react-navigation-drawer@1.0.0) (2019-09-11)

**Note:** Version bump only for package @flive/react-navigation-drawer





# [1.0.0-beta.0](https://gitlab.partners.sigfox.com/flive/flive/compare/@flive/react-navigation-drawer@1.0.0-alpha.16...@flive/react-navigation-drawer@1.0.0-beta.0) (2019-09-11)


### Features

* avoid breaking changes on shadows ([d503189](https://gitlab.partners.sigfox.com/flive/flive/commit/d503189))





# [1.0.0-alpha.16](https://gitlab.partners.sigfox.com/flive/flive/compare/@flive/react-navigation-drawer@1.0.0-alpha.15...@flive/react-navigation-drawer@1.0.0-alpha.16) (2019-09-03)


### Bug Fixes

* **react-navigation-drawer:** hover and focus on header component ([bda65c2](https://gitlab.partners.sigfox.com/flive/flive/commit/bda65c2))


### Features

* duplicate pick/omit in react-navigation-drawer ([e045b28](https://gitlab.partners.sigfox.com/flive/flive/commit/e045b28))





# [1.0.0-alpha.15](https://gitlab.partners.sigfox.com/flive/flive/compare/@flive/react-navigation-drawer@1.0.0-alpha.14...@flive/react-navigation-drawer@1.0.0-alpha.15) (2019-09-02)


### Features

* rename HOC bindTheme by withAdditionalTheme ([70beab1](https://gitlab.partners.sigfox.com/flive/flive/commit/70beab1))





# [1.0.0-alpha.14](https://gitlab.partners.sigfox.com/flive/flive/compare/@flive/react-navigation-drawer@1.0.0-alpha.13...@flive/react-navigation-drawer@1.0.0-alpha.14) (2019-08-30)

**Note:** Version bump only for package @flive/react-navigation-drawer





# 1.0.0-alpha.13 (2019-08-30)


### Features

* rename react-modal-menu to react-navigation-drawer ([8fc5b75](https://gitlab.partners.sigfox.com/flive/flive/commit/8fc5b75))





# [1.0.0-alpha.12](https://gitlab.partners.sigfox.com/flive/flive/compare/@flive/react-modal-menu@1.0.0-alpha.11...@flive/react-modal-menu@1.0.0-alpha.12) (2019-08-21)


### Bug Fixes

* **react-kit:** convert 'calcStyleProps' to react hook ([15d5e98](https://gitlab.partners.sigfox.com/flive/flive/commit/15d5e98))
* **react-modal-menu:** snapshots ([c5fdc89](https://gitlab.partners.sigfox.com/flive/flive/commit/c5fdc89))
* **react-modal-menu:** update snapshots ([f88e0dd](https://gitlab.partners.sigfox.com/flive/flive/commit/f88e0dd))


### Features

* **docs:** view and text documentation ([7754097](https://gitlab.partners.sigfox.com/flive/flive/commit/7754097))
* **react-kit:** [#119](https://gitlab.partners.sigfox.com/flive/flive/issues/119) - improve text readibility ([35b8c72](https://gitlab.partners.sigfox.com/flive/flive/commit/35b8c72))





# [1.0.0-alpha.11](https://gitlab.partners.sigfox.com/flive/flive/compare/@flive/react-modal-menu@1.0.0-alpha.10...@flive/react-modal-menu@1.0.0-alpha.11) (2019-07-25)

**Note:** Version bump only for package @flive/react-modal-menu





# [1.0.0-alpha.10](https://gitlab.partners.sigfox.com/flive/flive/compare/@flive/react-modal-menu@1.0.0-alpha.7...@flive/react-modal-menu@1.0.0-alpha.10) (2019-07-25)

# [1.0.0-alpha.7](https://gitlab.partners.sigfox.com/flive/flive/compare/@flive/react-modal-menu@1.0.0-alpha.6...@flive/react-modal-menu@1.0.0-alpha.7) (2019-07-24)


### Bug Fixes

* **react-kit:** fix most of the React related warnings ([4949723](https://gitlab.partners.sigfox.com/flive/flive/commit/4949723))
* **react-kit:** set max height on icon to avoid checkbox overflow issue ([4ed7999](https://gitlab.partners.sigfox.com/flive/flive/commit/4ed7999))


### Features

* document all props ([8161094](https://gitlab.partners.sigfox.com/flive/flive/commit/8161094))
* fix react warnings ([00a1734](https://gitlab.partners.sigfox.com/flive/flive/commit/00a1734))
* **docs:** update homepage ([189fd53](https://gitlab.partners.sigfox.com/flive/flive/commit/189fd53))





# [1.0.0-alpha.6](https://gitlab.partners.sigfox.com/flive/flive/compare/@flive/react-modal-menu@1.0.0-alpha.5...@flive/react-modal-menu@1.0.0-alpha.6) (2019-07-16)


### Bug Fixes

* **react-kit:** use calcStyleProps as much as possible + fix accordion ([b44a384](https://gitlab.partners.sigfox.com/flive/flive/commit/b44a384))





# [1.0.0-alpha.5](https://gitlab.partners.sigfox.com/flive/flive/compare/@flive/react-modal-menu@1.0.0-alpha.4...@flive/react-modal-menu@1.0.0-alpha.5) (2019-07-10)

**Note:** Version bump only for package @flive/react-modal-menu





# [1.0.0-alpha.4](https://gitlab.partners.sigfox.com/flive/flive/compare/@flive/react-modal-menu@1.0.0-alpha.3...@flive/react-modal-menu@1.0.0-alpha.4) (2019-07-10)


### Features

* **react-kit:** change theme sizes naming ([79de352](https://gitlab.partners.sigfox.com/flive/flive/commit/79de352))





# 1.0.0-alpha.3 (2019-07-08)


### Features

* **react-modal-menu:** add modal menu component ([ec4992a](https://gitlab.partners.sigfox.com/flive/flive/commit/ec4992a))





# 1.0.0-alpha.2 (2019-07-08)


### Features

* **react-modal-menu:** add modal menu component ([ec4992a](https://gitlab.partners.sigfox.com/flive/flive/commit/ec4992a))
